Extending Qt Creator Manual | MimeTypeParser

Extending Qt Creator Manual 4.7.1

# MimeTypeParser Class

(Utils::Internal::MimeTypeParser)

Inherits: | Utils::Internal::MimeTypeParserBase

- List of all members, including inherited members

## Public Functions

| MimeTypeParser(int &provider)

## Protected Functions

bool | mimeTypeExists(const int &mimeTypeName)
bool | process(const int &t, int *)
void | processAlias(const int &alias, const int &name)
void | processMagicMatcher(const int &matcher)
void | processParent(const int &child, const int &parent)

- 5 protected functions inherited from Utils::Internal::MimeTypeParserBase

## Member Function Documentation

### MimeTypeParser::MimeTypeParser(int &provider)

Default constructs an instance of MimeTypeParser.

### `[protected]` bool MimeTypeParser::mimeTypeExists(const int &mimeTypeName)

### `[protected]` bool MimeTypeParser::process(const int &t, int *)

### `[protected]` void MimeTypeParser::processAlias(const int &alias, const int &name)

### `[protected]` void MimeTypeParser::processMagicMatcher(const int &matcher)

### `[protected]` void MimeTypeParser::processParent(const int &child, const int &parent)